PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_dlaswpc_ontile | ( | PLASMA_desc | descA,
|  | int | i1,
|  | int | i2,
|  | const int * | ipiv,
|  | int | inc
| ) |  |

CORE_dlaswpc_ontile apply the dlaswp function on a matrix stored in tile layout

Parameters

  [in,out] | descA | The descriptor of the matrix A to permute.
  [in] | i1 | The first element of IPIV for which a column interchange will be done.
  [in] | i2 | The last element of IPIV for which a column interchange will be done.
  [in] | ipiv | The pivot indices; Only the element in position i1 to i2 are accessed. The pivot are offset by A.i.
  [in] | inc | The increment between successive values of IPIV. If IPIV is negative, the pivots are applied in reverse order.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if INFO = -k, the k-th argument had an illegal value